| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
ArraySizeError Class Reference
Errors and Diagnostics » Errors

Array size error. More...

`#include <ctexceptions.h>`

Inheritance diagram for ArraySizeError:
[legend]

## Detailed Description

Array size error.

This error is thrown if a supplied length to a vector supplied to Cantera is too small.

Definition at line 134 of file ctexceptions.h.

## Public Member Functions
| ArraySizeError (const string &procedure, size_t sz, size_t reqd)
| Constructor.
string | getMessage () const override
| Method overridden by derived classes to format the error message.
string | getClass () const override
| Method overridden by derived classes to indicate their type.
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const string &procedure, const string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class.
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing.
const char * | what () const override throw ()
| Get a description of the error.
virtual string | getMethod () const
| Get the name of the method that threw the exception.

## Private Attributes
size_t | sz_
size_t | reqd_

## Additional Inherited Members
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information.
| CanteraError (const string &procedure)
| Constructor used by derived classes that override getMessage()
Protected Attributes inherited from CanteraError
string | procedure_
| The name of the procedure where the exception occurred.
string | formattedMessage_
| Formatted message returned by what()

## Constructor & Destructor Documentation

## ◆ ArraySizeError()

ArraySizeError | ( | const string & | procedure,
|  | size_t | sz,
|  | size_t | reqd
| ) |  |
| inline

Constructor.

The length needed is supplied by the argument, reqd, and the length supplied is given by the argument sz.

Parameters

  procedure | String name for the function within which the error was generated.
  sz | This is the length supplied to Cantera.
  reqd | This is the required length needed by Cantera

Definition at line 147 of file ctexceptions.h.

## Member Function Documentation

## ◆ getMessage()

string getMessage | ( |  | ) | const
| override virtual

Method overridden by derived classes to format the error message.

Reimplemented from CanteraError.

Definition at line 55 of file ctexceptions.cpp.

## ◆ getClass()

string getClass | ( |  | ) | const
| inline override virtual

Method overridden by derived classes to indicate their type.

Reimplemented from CanteraError.

Definition at line 151 of file ctexceptions.h.

## Member Data Documentation

## ◆ sz_

size_t sz_
| private

Definition at line 156 of file ctexceptions.h.

## ◆ reqd_

size_t reqd_
| private

Definition at line 156 of file ctexceptions.h.

The documentation for this class was generated from the following files:

- ctexceptions.h
- ctexceptions.cpp